body {
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
    height: 100vh;
}

.header-wrapper ul.messages{
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.header-wrapper ul.messages li{
    padding: 0.5em;
    border-radius: 3px;
    border-style: solid;
    border-width: 1px;
}

.info{
    background: #95B9E1;
    border-color: #6E89A7;
}

.error{
    background: #E09494;
    border-color: #C28080;
}

.header {
    background: #eee;
    display: flex;
    justify-content: space-between;
    padding: 0 2em;
}

.header .nav-bar{
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: space-evenly;
}

.header .nav-bar li{
    display: inline-block;
}
.header .nav-bar li a{
    display: inline-block;
    text-align: center;
    padding: 1em 1em;
    text-decoration: none;
}

.header .nav-bar li a:hover{
    background: #ccc;
}

form{
    display: flex;
    flex-direction: column;
    padding: 2em;
    min-width: 200px;
    border: #eeeeee 2px solid;
    border-radius: 1em;
    background: #eee;
}
form ul{
    list-style-type: none;
    margin: 0;
    padding: 0;
}

form > ul > li {
    margin: 1em 0;
}

form > ul > li > *{
    display: block;
    width: 100%;
}


form .helptext{
    color: #333;
    font-size: 0.8em;
}

form > input{
    width: 40%;
    max-width: 300px;
    min-width: 100px;
}

form .errorlist{
    font-size: 0.8em;
    color: red;
}

.footer {
    background: #eee;
    padding: 0;
    margin: 0;
}

.footer p{
    margin: 2em;
    /*background: #eee;*/
    color: #222
}

section.main{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
section.main>*{
    max-width: 500px;
    min-width: 300px;
}